package ${basePackage}.frame.excel.style;

import org.apache.poi.hssf.util.HSSFColor;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Workbook;

public class HeadCellStyle extends BaseCellStyle {
    public HeadCellStyle(Workbook workbook) {
        super(workbook);
        style.setFillForegroundColor(HSSFColor.GREY_25_PERCENT.index);      //背景颜色-灰色
        style.setFillPattern(CellStyle.SOLID_FOREGROUND);   // 设置单元格填充样式
        style.setAlignment(CellStyle.ALIGN_CENTER);         // 居中
        style.setVerticalAlignment(CellStyle.VERTICAL_CENTER);//上下居中
    }
}
